Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SSYTRD

    java.lang.Object
      org.netlib.lapack.SSYTRD

    public class SSYTRD

extends java.lang.Object

    SSYTRD is a simplified interface to the JLAPACK routine ssytrd.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SSYTRD reduces a real symmetric matrix A to real symmetric
     *  tridiagonal form T by an orthogonal similarity transformation:
     *  Q**T * A * Q = T.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          = 'U':  Upper triangle of A is stored;
     *          = 'L':  Lower triangle of A is stored.
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  A       (input/output) REAL array, dimension (LDA,N)
     *          On entry, the symmetric matrix A.  If UPLO = 'U', the leading
     *          N-by-N upper triangular part of A contains the upper
     *          triangular part of the matrix A, and the strictly lower
     *          triangular part of A is not referenced.  If UPLO = 'L', the
     *          leading N-by-N lower triangular part of A contains the lower

     *          triangular part of the matrix A, and the strictly upper
     *          triangular part of A is not referenced.
     *          On exit, if UPLO = 'U', the diagonal and first superdiagonal

     *          of A are overwritten by the corresponding elements of the
     *          tridiagonal matrix T, and the elements above the first
     *          superdiagonal, with the array TAU, represent the orthogonal
     *          matrix Q as a product of elementary reflectors; if UPLO
     *          = 'L', the diagonal and first subdiagonal of A are over-
     *          written by the corresponding elements of the tridiagonal
     *          matrix T, and the elements below the first subdiagonal, with

     *          the array TAU, represent the orthogonal matrix Q as a product
     *          of elementary reflectors. See Further Details.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1,N).
     *
     *  D       (output) REAL array, dimension (N)
     *          The diagonal elements of the tridiagonal matrix T:
     *          D(i) = A(i,i).
     *
     *  E       (output) REAL array, dimension (N-1)
     *          The off-diagonal elements of the tridiagonal matrix T:
     *          E(i) = A(i,i+1) if UPLO = 'U', E(i) = A(i+1,i) if UPLO = 'L'.
     *
     *  TAU     (output) REAL array, dimension (N-1)
     *          The scalar factors of the elementary reflectors (see Further

     *          Details).
     *
     *  WORK    (workspace/output) REAL array, dimension (MAX(1,LWORK))
     *          On exit, if INFO = 0, WORK(1) returns the optimal LWORK.
     *
     *  LWORK   (input) INTEGER
     *          The dimension of the array WORK.  LWORK >= 1.
     *          For optimum performance LWORK >= N*NB, where NB is the
     *          optimal blocksize.
     *
     *          If LWORK = -1, then a workspace query is assumed; the routine
     *          only calculates the optimal size of the WORK array, returns
     *          this value as the first entry of the WORK array, and no error
     *          message related to LWORK is issued by XERBLA.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *
     *  Further Details
     *  ===============
     *
     *  If UPLO = 'U', the matrix Q is represented as a product of elementary
     *  reflectors
     *
     *     Q = H(n-1) . . . H(2) H(1).
     *
     *  Each H(i) has the form
     *
     *     H(i) = I - tau * v * v'
     *
     *  where tau is a real scalar, and v is a real vector with
     *  v(i+1:n) = 0 and v(i) = 1; v(1:i-1) is stored on exit in
     *  A(1:i-1,i+1), and tau in TAU(i).
     *
     *  If UPLO = 'L', the matrix Q is represented as a product of elementary
     *  reflectors
     *
     *     Q = H(1) H(2) . . . H(n-1).
     *
     *  Each H(i) has the form
     *
     *     H(i) = I - tau * v * v'
     *
     *  where tau is a real scalar, and v is a real vector with
     *  v(1:i) = 0 and v(i+1) = 1; v(i+2:n) is stored on exit in A(i+2:n,i),

     *  and tau in TAU(i).
     *
     *  The contents of A on exit are illustrated by the following examples
     *  with n = 5:
     *
     *  if UPLO = 'U':                       if UPLO = 'L':
     *
     *    (  d   e   v2  v3  v4 )              (  d                  )
     *    (      d   e   v3  v4 )              (  e   d              )
     *    (          d   e   v4 )              (  v1  e   d          )
     *    (              d   e  )              (  v1  v2  e   d      )
     *    (                  d  )              (  v1  v2  v3  e   d  )
     *
     *  where d and e denote diagonal and off-diagonal elements of T, and vi

     *  denotes an element of the vector defining H(i).
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SSYTRD()`

Method Summary
`static void` | `SSYTRD(java.lang.String uplo, int n, float[][] a, float[] d, float[] e, float[] tau, float[] work, int lwork, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSYTRD

    public SSYTRD()

Method Detail

### SSYTRD

    public static void SSYTRD(java.lang.String uplo,
                              int n,
                              float[][] a,
                              float[] d,
                              float[] e,
                              float[] tau,
                              float[] work,
                              int lwork,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD